﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightDemo
{
    public partial class MainPage : UserControl
    {
        DemoService.DemoServiceClient client;
        public MainPage()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            CreateProxy();
            client.GetCompaniesCompleted += new EventHandler<SilverlightDemo.DemoService.GetCompaniesCompletedEventArgs>(client_GetCompaniesCompleted);
            client.GetCompaniesAsync();
        }

        void client_GetCompaniesCompleted(object sender, SilverlightDemo.DemoService.GetCompaniesCompletedEventArgs e)
        {
            if (e.Error != null)
            {
                MessageBox.Show(e.Error.ToString());
            }
            else
            {
                listCompanies.ItemsSource = e.Result;
            }
        }

        private void CreateProxy()
        {
            if (client == null)
            {

                string address = App.Current.Host.Source.AbsoluteUri
                                   .Substring(0, App.Current.Host.Source.AbsoluteUri.LastIndexOf("/"))
                                   .Replace("ClientBin", "WCF/DemoService.svc");
                client = new SilverlightDemo.DemoService.DemoServiceClient("BasicHttpBinding_IDemoService", address);
            }
        }
    }
}
